import styled, { css } from 'styled-components';
import * as theme from './../theme/';
import Margin from './../utilities/Margin';

var Alert = styled.div.withConfig({
  displayName: 'Alert',
  componentId: 'sc-10ssx2i-0'
})(['align-items:center;display:flex;min-height:', ';', ' ', ''], theme.SPACING_600, function (props) {
  return props.rounded && css(['border-radius:9999px;padding-left:', ';padding-right:', ';display:inline-flex;', ' ', ' ', ' ', ' ', ''], theme.SPACING_400, theme.SPACING_400, function (props) {
    return props.gray && css(['background-color:', ';box-shadow:inset 0 0 0 1px ', ';color:', ';'], theme.GRAY_100, theme.GRAY_300, theme.GRAY_600);
  }, function (props) {
    return props.blue && css(['background-color:', ';box-shadow:inset 0 0 0 1px ', ';color:', ';'], theme.BLUE_100, theme.BLUE_300, theme.BLUE_600);
  }, function (props) {
    return props.green && css(['background-color:', ';box-shadow:inset 0 0 0 1px ', ';color:', ';'], theme.GREEN_100, theme.GREEN_300, theme.GREEN_600);
  }, function (props) {
    return props.yellow && css(['background-color:', ';box-shadow:inset 0 0 0 1px ', ';color:', ';'], theme.YELLOW_100, theme.YELLOW_300, theme.YELLOW_600);
  }, function (props) {
    return props.red && css(['background-color:', ';box-shadow:inset 0 0 0 1px ', ';color:', ';'], theme.RED_100, theme.RED_300, theme.RED_600);
  });
}, Margin);

export default Alert;