import styled, { css } from 'styled-components';
import * as theme from './../theme/';
import Margin from './../utilities/Margin';
import NegativeMargin from './../utilities/NegativeMargin';
import Padding from './../utilities/Padding';
import TextAlign from './../utilities/TextAlign';
import Height from './../utilities/Height';
import Width from './../utilities/Width';
import Overflow from './../utilities/Overflow';
import Position from './../utilities/Position';
import FlexItem from './../utilities/FlexItem';
import BackgroundColor from './../utilities/BackgroundColor';
import PointerEvents from './../utilities/PointerEvents';
import Offset from './../utilities/Offset';

var Box = styled.div.withConfig({
  displayName: 'Box',
  componentId: 'w29aqq-0'
})(['', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ''], function (p) {
  return p.border && css([' border:1px solid;']);
}, function (p) {
  return p.bt && css([' border-top:1px solid;']);
}, function (p) {
  return p.br && css([' border-right:1px solid;']);
}, function (p) {
  return p.bb && css([' border-bottom:1px solid;']);
}, function (p) {
  return p.bl && css([' border-left:1px solid;']);
}, function (p) {
  return p.bcgray300 && css([' border-color:', ';'], theme.GRAY_300);
}, function (p) {
  return p.bcgray400 && css([' border-color:', ';'], theme.GRAY_400);
}, function (p) {
  return p.table && css([' display:table;']);
}, function (p) {
  return p.tablerow && css([' display:table-row;']);
}, function (p) {
  return p.tablecell && css([' display:table-cell;']);
}, function (p) {
  return p.alignmiddle && css([' vertical-align:middle;']);
}, BackgroundColor, Margin, NegativeMargin, Padding, TextAlign, Height, Width, Overflow, Position, FlexItem, PointerEvents, Offset);

export default Box;