import styled, { css } from 'styled-components';
import * as theme from './../theme/';

var Container = styled.div.withConfig({
  displayName: 'Container',
  componentId: 'sc-1pmn89r-0'
})(['margin-left:auto;margin-right:auto;flex-grow:1;', ' ', ' ', ' ', ' @media screen and (min-width:', '){', ' ', ' ', ' ', '}@media screen and (min-width:', '){', ' ', ' ', ' ', '}@media screen and (min-width:', '){', ' ', ' ', ' ', '}@media screen and (min-width:', '){', ' ', ' ', ' ', '}'], function (props) {
  return props.size1 && css(['padding-left:', ';padding-right:', ';max-width:100%;'], theme.SPACING_500, theme.SPACING_500);
}, function (props) {
  return props.size2 && css(['padding-left:', ';padding-right:', ';max-width:65rem;'], theme.SPACING_500, theme.SPACING_500);
}, function (props) {
  return props.size3 && css(['padding-left:', ';padding-right:', ';max-width:45rem;'], theme.SPACING_500, theme.SPACING_500);
}, function (props) {
  return props.size4 && css(['padding-left:', ';padding-right:', ';max-width:25rem;'], theme.SPACING_500, theme.SPACING_500);
}, theme.BREAKPOINT_100, function (props) {
  return props.bp1_size1 && css(['max-width:100%;']);
}, function (props) {
  return props.bp1_size2 && css(['max-width:65rem;']);
}, function (props) {
  return props.bp1_size3 && css(['max-width:45rem;']);
}, function (props) {
  return props.bp1_size4 && css(['max-width:25rem;']);
}, theme.BREAKPOINT_200, function (props) {
  return props.bp2_size1 && css(['max-width:100%;']);
}, function (props) {
  return props.bp2_size2 && css(['max-width:65rem;']);
}, function (props) {
  return props.bp2_size3 && css(['max-width:45rem;']);
}, function (props) {
  return props.bp2_size4 && css(['max-width:25rem;']);
}, theme.BREAKPOINT_300, function (props) {
  return props.bp3_size1 && css(['max-width:100%;']);
}, function (props) {
  return props.bp3_size2 && css(['max-width:65rem;']);
}, function (props) {
  return props.bp3_size3 && css(['max-width:45rem;']);
}, function (props) {
  return props.bp3_size4 && css(['max-width:25rem;']);
}, theme.BREAKPOINT_400, function (props) {
  return props.bp4_size1 && css(['max-width:100%;']);
}, function (props) {
  return props.bp4_size2 && css(['max-width:65rem;']);
}, function (props) {
  return props.bp4_size3 && css(['max-width:45rem;']);
}, function (props) {
  return props.bp4_size4 && css(['max-width:25rem;']);
});

export default Container;