import styled, { css } from 'styled-components';
import * as theme from './../theme/';
import Margin from './../utilities/Margin';

var Divider = styled.div.withConfig({
  displayName: 'Divider',
  componentId: 'ru3nzy-0'
})(['background-color:', ';height:1px;', ' ', ' ', ' ', ' ', ' ', ''], theme.GRAY_300, function (props) {
  return props.size1 && css(['width:', ';'], theme.SPACING_300);
}, function (props) {
  return props.size2 && css(['width:', ';'], theme.SPACING_600);
}, function (props) {
  return props.size3 && css(['width:', ';'], theme.SPACING_900);
}, function (props) {
  return props.expanded && css(['width:100%;']);
}, function (props) {
  return props.vertical && css(['width:1px;', ' ', ' ', ' ', ''], function (props) {
    return props.size1 && css(['height:', ';'], theme.SPACING_300);
  }, function (props) {
    return props.size2 && css(['height:', ';'], theme.SPACING_600);
  }, function (props) {
    return props.size3 && css(['height:', ';'], theme.SPACING_900);
  }, function (props) {
    return props.expanded && css(['height:100%;']);
  });
}, Margin);

export default Divider;