import React from 'react';
import PropTypes from 'prop-types';
import styled, { css } from 'styled-components';
import * as theme from './../theme/';

var IndicatorButton = styled.button.attrs({
  type: 'button'
}).withConfig({
  displayName: 'IndicatorButton',
  componentId: 'isv7dm-0'
})(['appearance:none;background-color:transparent;box-shadow:inset 0 0 0 1px ', ';border:none;border-radius:50%;cursor:pointer;flex-shrink:0;height:', ';width:', ';outline:none;padding:0;vertical-align:middle;&:hover{box-shadow:inset 0 0 0 1px ', ';}', ' &:disabled{box-shadow:inset 0 0 0 1px ', ';cursor:not-allowed;}'], theme.GRAY_400, theme.SPACING_200, theme.SPACING_200, theme.GRAY_500, function (p) {
  return p.active && css(['box-shadow:none;background-color:', ';'], theme.GRAY_900);
}, theme.GRAY_300);

export default IndicatorButton;