import styled, { css } from 'styled-components';
import * as theme from './../theme/';

import Padding from './../utilities/Padding';

var ListItem = styled.li.withConfig({
  displayName: 'ListItem',
  componentId: 'sc-8oejgo-0'
})(['box-sizing:border-box;display:flex;line-height:1;width:100%;min-height:31px;padding-bottom:', ';padding-left:', ';padding-right:', ';padding-top:', ';', ' ', ''], theme.SPACING_100, theme.SPACING_400, theme.SPACING_400, theme.SPACING_100, function (props) {
  return props.highlighted && css(['background-color:', ';'], theme.BLUE_200);
}, Padding);

export default ListItem;