import styled, { css } from 'styled-components';
import * as theme from './../theme/';

import Padding from './../utilities/Padding';

var MenuItem = styled.div.attrs({ role: 'button' }).withConfig({
  displayName: 'MenuItem',
  componentId: 'sc-1a3djiv-0'
})(['align-items:center;background-color:transparent;border:none;box-sizing:border-box;color:inherit;cursor:pointer;display:flex;line-height:1;min-height:31px;outline:none;padding-left:', ';padding-right:', ';text-align:left;text-decoration:none;user-select:none;width:100%;&:hover{background-color:', ';}&:active{background-color:', ';}&:focus{box-shadow:0 0 0 1px ', ';}', ' ', ' ', ' ', ' ', ' ', ''], theme.SPACING_300, theme.SPACING_300, theme.GRAY_200, theme.GRAY_300, theme.BLUE_300, function (props) {
  return props.active && css(['background-color:', ';color:white;cursor:default;font-family:', ';font-weight:500;pointer-events:none;&:focus{box-shadow:none;}'], theme.BLUE_500, theme.UNTITLEDSANSMEDIUM);
}, function (props) {
  return props.selected && css(['background-color:', ';'], theme.BLUE_100);
}, function (props) {
  return props.highlighted && css(['background-color:', ';&:hover,&:active{background-color:', ';}'], theme.BLUE_200, theme.BLUE_200);
}, function (props) {
  return props.size1 && css(['min-height:', ';'], theme.SPACING_600);
}, function (props) {
  return props.size2 && css(['min-height:', ';'], theme.SPACING_700);
}, Padding);

export default MenuItem;