import React from 'react';
import styled, { css } from 'styled-components';
import * as theme from './../theme/';

var PillTab = styled.a.withConfig({
  displayName: 'PillTab',
  componentId: 'sc-1k41e1x-0'
})(['align-items:center;display:inline-flex;font-family:', ';font-size:', ';font-weight:500;line-height:1;white-space:nowrap;box-shadow:inset 0 0 0 1px ', ';color:', ';flex-shrink:0;justify-content:center;outline:none;user-select:none;vertical-align:middle;flex-grow:1;flex-basis:0;position:relative;text-decoration:none;height:', ';padding:0 ', ';min-width:', ';&:hover{box-shadow:inset 0 0 0 1px ', ';}', ' ', ' ', ' ', ' ', ''], theme.UNTITLEDSANSMEDIUM, theme.FONTSIZE_300, theme.GRAY_400, theme.GRAY_600, theme.SPACING_500, theme.SPACING_400, theme.SPACING_500, theme.GRAY_500, function (p) {
  return p.left && css(['border-radius:9999px 0 0 9999px;&:hover{z-index:3;}']);
}, function (p) {
  return p.middle && css(['margin-left:-1px;z-index:1;&:hover{z-index:3;}']);
}, function (p) {
  return p.right && css(['border-radius:0 9999px 9999px 0;margin-left:-1px;z-index:0;&:hover{z-index:3;}']);
}, function (p) {
  return p.active && css(['background-color:', ';box-shadow:inset 0 0 0 1px ', ',inset 0 2px 0 hsla(208,24%,10%,.05);color:', ';cursor:default;z-index:3;'], theme.GRAY_200, theme.GRAY_500, theme.GRAY_600);
}, function (p) {
  return p.disabled && css(['background-color:', ';color:', ';pointer-events:none;'], theme.GRAY_200, theme.GRAY_500);
});

export default PillTab;