import styled, { css } from 'styled-components';
import * as theme from './../theme/';

var Status = styled.div.withConfig({
  displayName: 'Status',
  componentId: 'sc-1rde67r-0'
})(['display:inline-flex;align-items:center;text-align:center;min-height:', ';min-width:', ';font-size:', ';line-height:1;border-radius:9999px;padding:0 ', ';box-shadow:inset 0 0 0 1px ', ';font-feature-settings:\'tnum\';font-family:', ';font-weight:500;', ' ', ' ', ' ', ' ', ''], theme.SPACING_200, theme.SPACING_200, theme.FONTSIZE_200, theme.SPACING_100, theme.GRAY_400, theme.UNTITLEDSANSMEDIUM, function (p) {
  return p.size2 && css(['min-height:', ';min-width:', ';'], theme.SPACING_300, theme.SPACING_300);
}, function (p) {
  return p.blue && css(['background-color:', ';box-shadow:none;color:white;'], theme.BLUE_500);
}, function (p) {
  return p.green && css(['background-color:', ';box-shadow:none;color:white;'], theme.GREEN_500);
}, function (p) {
  return p.yellow && css(['background-color:', ';box-shadow:none;color:white;'], theme.YELLOW_500);
}, function (p) {
  return p.red && css(['background-color:', ';box-shadow:none;color:white;'], theme.RED_500);
});

export default Status;