import styled, { css } from 'styled-components';
import * as theme from './../theme/';

var Textarea = styled.textarea.withConfig({
  displayName: 'Textarea',
  componentId: 'vyjkct-0'
})(['background-color:transparent;font-family:inherit;height:', ';line-height:', ';padding:0;font-size:', ';border-radius:0;border:none;min-height:80px;outline:none;box-shadow:inset 0 -1px 0 0 ', ';vertical-align:middle;width:100%;resize:vertical;&::-webkit-input-placeholder{color:', ';opacity:1;}&::-moz-placeholder{color:', ';opacity:1;}&:-ms-input-placeholder{color:', ';opacity:1;}', ''], theme.SPACING_500, theme.SPACING_500, theme.FONTSIZE_300, theme.GRAY_400, theme.GRAY_500, theme.GRAY_500, theme.GRAY_500, function (p) {
  return p.size2 && css(['font-size:', ';'], theme.FONTSIZE_500);
});

export default Textarea;