import { css } from "styled-components";
import * as theme from "./../theme/";

var heightPropsKeys = ['height_100'];

var Height = function Height(p) {
  return css(["", " ", " ", " ", " ", ""], p.height_100 && " height: 100%; ", heightPropsKeys.some(function (prop) {
    return p["bp1_" + prop];
  }) && css(["@media (min-width:", "){", "}"], theme.BREAKPOINT_100, p.bp1_height_100 && " height: 100%; "), heightPropsKeys.some(function (prop) {
    return p["bp2_" + prop];
  }) && css(["@media (min-width:", "){", "}"], theme.BREAKPOINT_200, p.bp2_height_100 && " height: 100%; "), heightPropsKeys.some(function (prop) {
    return p["bp3_" + prop];
  }) && css(["@media (min-width:", "){", "}"], theme.BREAKPOINT_300, p.bp3_height_100 && " height: 100%; "), heightPropsKeys.some(function (prop) {
    return p["bp4_" + prop];
  }) && css(["@media (min-width:", "){", "}"], theme.BREAKPOINT_400, p.bp4_height_100 && " height: 100%; "));
};

export default Height;