'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Container = _styledComponents2.default.div.withConfig({
  displayName: 'AspectRatio__Container',
  componentId: 'x4wryn-0'
})(['padding-bottom:100%;position:relative;width:100%;', ''], function (props) {
  return props.ratio_169 && (0, _styledComponents.css)(['padding-bottom:56.25%;']);
});

var Content = _styledComponents2.default.div.withConfig({
  displayName: 'AspectRatio__Content',
  componentId: 'x4wryn-1'
})(['height:100%;left:0;position:absolute;top:0;width:100%;']);

var AspectRatio = function AspectRatio(props) {
  return _react2.default.createElement(
    Container,
    props,
    _react2.default.createElement(
      Content,
      props,
      props.children
    )
  );
};

exports.default = AspectRatio;
module.exports = exports['default'];