'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Container = _styledComponents2.default.div.withConfig({
  displayName: 'BackgroundImage__Container',
  componentId: 'hgyx90-0'
})(['background-position:center;background-size:cover;width:100%;height:100%;']);

var BackgroundImage = function BackgroundImage(props) {
  return _react2.default.createElement(Container, {
    style: {
      backgroundImage: 'url(' + props.src + ')'
    } });
};

exports.default = BackgroundImage;
module.exports = exports['default'];