'use strict';

exports.__esModule = true;

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

var _Margin = require('./../utilities/Margin');

var _Margin2 = _interopRequireDefault(_Margin);

var _Padding = require('./../utilities/Padding');

var _Padding2 = _interopRequireDefault(_Padding);

var _BackgroundColor = require('./../utilities/BackgroundColor');

var _BackgroundColor2 = _interopRequireDefault(_BackgroundColor);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Card = _styledComponents2.default.div.withConfig({
  displayName: 'Card',
  componentId: 'jzi85p-0'
})(['position:relative;', ' ', ' ', ' ', ' ', ''], function (props) {
  return props.border && (0, _styledComponents.css)(['&::after{content:"";position:absolute;top:0;left:0;width:100%;height:100%;box-shadow:inset 0 0 0 1px ', ';border-radius:', ';pointer-events:none;}'], theme.GRAY_400, theme.BORDERRADIUS_200);
}, function (props) {
  return props.perspective && (0, _styledComponents.css)(['&::before{content:"";position:absolute;top:0;left:0;width:100%;height:100%;box-shadow:0 10px 38px -10px hsla(208,24%,7%,.35),0 10px 20px -15px hsla(208,24%,7%,.2);border-radius:', ';pointer-events:none;}'], theme.BORDERRADIUS_200);
}, _BackgroundColor2.default, _Padding2.default, _Margin2.default);

exports.default = Card;
module.exports = exports['default'];