'use strict';

exports.__esModule = true;

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Container = _styledComponents2.default.div.withConfig({
  displayName: 'Container',
  componentId: 'sc-1pmn89r-0'
})(['margin-left:auto;margin-right:auto;flex-grow:1;', ' ', ' ', ' ', ' @media screen and (min-width:', '){', ' ', ' ', ' ', '}@media screen and (min-width:', '){', ' ', ' ', ' ', '}@media screen and (min-width:', '){', ' ', ' ', ' ', '}@media screen and (min-width:', '){', ' ', ' ', ' ', '}'], function (props) {
  return props.size1 && (0, _styledComponents.css)(['padding-left:', ';padding-right:', ';max-width:100%;'], theme.SPACING_500, theme.SPACING_500);
}, function (props) {
  return props.size2 && (0, _styledComponents.css)(['padding-left:', ';padding-right:', ';max-width:65rem;'], theme.SPACING_500, theme.SPACING_500);
}, function (props) {
  return props.size3 && (0, _styledComponents.css)(['padding-left:', ';padding-right:', ';max-width:45rem;'], theme.SPACING_500, theme.SPACING_500);
}, function (props) {
  return props.size4 && (0, _styledComponents.css)(['padding-left:', ';padding-right:', ';max-width:25rem;'], theme.SPACING_500, theme.SPACING_500);
}, theme.BREAKPOINT_100, function (props) {
  return props.bp1_size1 && (0, _styledComponents.css)(['max-width:100%;']);
}, function (props) {
  return props.bp1_size2 && (0, _styledComponents.css)(['max-width:65rem;']);
}, function (props) {
  return props.bp1_size3 && (0, _styledComponents.css)(['max-width:45rem;']);
}, function (props) {
  return props.bp1_size4 && (0, _styledComponents.css)(['max-width:25rem;']);
}, theme.BREAKPOINT_200, function (props) {
  return props.bp2_size1 && (0, _styledComponents.css)(['max-width:100%;']);
}, function (props) {
  return props.bp2_size2 && (0, _styledComponents.css)(['max-width:65rem;']);
}, function (props) {
  return props.bp2_size3 && (0, _styledComponents.css)(['max-width:45rem;']);
}, function (props) {
  return props.bp2_size4 && (0, _styledComponents.css)(['max-width:25rem;']);
}, theme.BREAKPOINT_300, function (props) {
  return props.bp3_size1 && (0, _styledComponents.css)(['max-width:100%;']);
}, function (props) {
  return props.bp3_size2 && (0, _styledComponents.css)(['max-width:65rem;']);
}, function (props) {
  return props.bp3_size3 && (0, _styledComponents.css)(['max-width:45rem;']);
}, function (props) {
  return props.bp3_size4 && (0, _styledComponents.css)(['max-width:25rem;']);
}, theme.BREAKPOINT_400, function (props) {
  return props.bp4_size1 && (0, _styledComponents.css)(['max-width:100%;']);
}, function (props) {
  return props.bp4_size2 && (0, _styledComponents.css)(['max-width:65rem;']);
}, function (props) {
  return props.bp4_size3 && (0, _styledComponents.css)(['max-width:45rem;']);
}, function (props) {
  return props.bp4_size4 && (0, _styledComponents.css)(['max-width:25rem;']);
});

exports.default = Container;
module.exports = exports['default'];