'use strict';

exports.__esModule = true;

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ContextMenu = _styledComponents2.default.div.withConfig({
  displayName: 'ContextMenu',
  componentId: 'nba5kn-0'
})(['background-color:', ';border-radius:', ';box-shadow:0 10px 38px -10px hsla(208,24%,7%,.35),0 10px 20px -15px hsla(208,24%,7%,.2);padding-bottom:', ';padding-top:', ';position:fixed;z-index:', ';', ' ', ' ', ' ', ''], theme.WHITE, theme.BORDERRADIUS_100, theme.SPACING_100, theme.SPACING_100, theme.ZINDEX_CONTEXT_MENU, function (props) {
  return props.top && (0, _styledComponents.css)(['top:', ';'], props.top);
}, function (props) {
  return props.bottom && (0, _styledComponents.css)(['bottom:', ';'], props.bottom);
}, function (props) {
  return props.left && (0, _styledComponents.css)(['left:', ';'], props.left);
}, function (props) {
  return props.right && (0, _styledComponents.css)(['right:', ';'], props.right);
});

exports.default = ContextMenu;
module.exports = exports['default'];