'use strict';

exports.__esModule = true;

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

var _Margin = require('./../utilities/Margin');

var _Margin2 = _interopRequireDefault(_Margin);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Divider = _styledComponents2.default.div.withConfig({
  displayName: 'Divider',
  componentId: 'ru3nzy-0'
})(['background-color:', ';height:1px;', ' ', ' ', ' ', ' ', ' ', ''], theme.GRAY_300, function (props) {
  return props.size1 && (0, _styledComponents.css)(['width:', ';'], theme.SPACING_300);
}, function (props) {
  return props.size2 && (0, _styledComponents.css)(['width:', ';'], theme.SPACING_600);
}, function (props) {
  return props.size3 && (0, _styledComponents.css)(['width:', ';'], theme.SPACING_900);
}, function (props) {
  return props.expanded && (0, _styledComponents.css)(['width:100%;']);
}, function (props) {
  return props.vertical && (0, _styledComponents.css)(['width:1px;', ' ', ' ', ' ', ''], function (props) {
    return props.size1 && (0, _styledComponents.css)(['height:', ';'], theme.SPACING_300);
  }, function (props) {
    return props.size2 && (0, _styledComponents.css)(['height:', ';'], theme.SPACING_600);
  }, function (props) {
    return props.size3 && (0, _styledComponents.css)(['height:', ';'], theme.SPACING_900);
  }, function (props) {
    return props.expanded && (0, _styledComponents.css)(['height:100%;']);
  });
}, _Margin2.default);

exports.default = Divider;
module.exports = exports['default'];