'use strict';

exports.__esModule = true;

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

var _Margin = require('./../utilities/Margin');

var _Margin2 = _interopRequireDefault(_Margin);

var _NegativeMargin = require('./../utilities/NegativeMargin');

var _NegativeMargin2 = _interopRequireDefault(_NegativeMargin);

var _Leading = require('./../utilities/Leading');

var _Leading2 = _interopRequireDefault(_Leading);

var _TextAlign = require('./../utilities/TextAlign');

var _TextAlign2 = _interopRequireDefault(_TextAlign);

var _Color = require('./../utilities/Color');

var _Color2 = _interopRequireDefault(_Color);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Heading = _styledComponents2.default.h3.withConfig({
  displayName: 'Heading',
  componentId: 'sc-1c65e2b-0'
})(['color:', ';font-family:\'UntitledSans\',apple-system,BlinkMacSystemFont;margin:0;', ' ', ' ', ' ', ' ', ' ', ' @media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', '}@media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', '}@media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', '}@media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', '}', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ''], theme.GRAY_900, function (p) {
  return p.size1 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.0125em;margin-left:-.05em;'], theme.FONTSIZE_400);
}, function (p) {
  return p.size2 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.005em;margin-left:-.06em;'], theme.FONTSIZE_600);
}, function (p) {
  return p.size3 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.012em;margin-left:-.075em;'], theme.FONTSIZE_800);
}, function (p) {
  return p.size4 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.028em;margin-left:-.085em;'], theme.FONTSIZE_900);
}, function (p) {
  return p.size5 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.042em;margin-left:-.088em;'], theme.FONTSIZE_1000);
}, function (p) {
  return p.size6 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.052em;margin-left:-.09em;'], theme.FONTSIZE_1100);
}, theme.BREAKPOINT_100, function (p) {
  return p.bp1_size1 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.0125em;margin-left:-.05em;'], theme.FONTSIZE_400);
}, function (p) {
  return p.bp1_size2 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.005em;margin-left:-.06em;'], theme.FONTSIZE_600);
}, function (p) {
  return p.bp1_size3 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.012em;margin-left:-.075em;'], theme.FONTSIZE_800);
}, function (p) {
  return p.bp1_size4 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.028em;margin-left:-.085em;'], theme.FONTSIZE_900);
}, function (p) {
  return p.bp1_size5 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.042em;margin-left:-.088em;'], theme.FONTSIZE_1000);
}, function (p) {
  return p.bp1_size6 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.052em;margin-left:-.09em;'], theme.FONTSIZE_1100);
}, theme.BREAKPOINT_200, function (p) {
  return p.bp2_size1 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.0125em;margin-left:-.05em;'], theme.FONTSIZE_400);
}, function (p) {
  return p.bp2_size2 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.005em;margin-left:-.06em;'], theme.FONTSIZE_600);
}, function (p) {
  return p.bp2_size3 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.012em;margin-left:-.075em;'], theme.FONTSIZE_800);
}, function (p) {
  return p.bp2_size4 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.028em;margin-left:-.085em;'], theme.FONTSIZE_900);
}, function (p) {
  return p.bp2_size5 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.042em;margin-left:-.088em;'], theme.FONTSIZE_1000);
}, function (p) {
  return p.bp2_size6 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.052em;margin-left:-.09em;'], theme.FONTSIZE_1100);
}, theme.BREAKPOINT_300, function (p) {
  return p.bp3_size1 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.0125em;margin-left:-.05em;'], theme.FONTSIZE_400);
}, function (p) {
  return p.bp3_size2 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.005em;margin-left:-.06em;'], theme.FONTSIZE_600);
}, function (p) {
  return p.bp3_size3 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.012em;margin-left:-.075em;'], theme.FONTSIZE_800);
}, function (p) {
  return p.bp3_size4 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.028em;margin-left:-.085em;'], theme.FONTSIZE_900);
}, function (p) {
  return p.bp3_size5 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.042em;margin-left:-.088em;'], theme.FONTSIZE_1000);
}, function (p) {
  return p.bp3_size6 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.052em;margin-left:-.09em;'], theme.FONTSIZE_1100);
}, theme.BREAKPOINT_400, function (p) {
  return p.bp4_size1 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.0125em;margin-left:-.05em;'], theme.FONTSIZE_400);
}, function (p) {
  return p.bp4_size2 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.005em;margin-left:-.06em;'], theme.FONTSIZE_600);
}, function (p) {
  return p.bp4_size3 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.012em;margin-left:-.075em;'], theme.FONTSIZE_800);
}, function (p) {
  return p.bp4_size4 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.028em;margin-left:-.085em;'], theme.FONTSIZE_900);
}, function (p) {
  return p.bp4_size5 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.042em;margin-left:-.088em;'], theme.FONTSIZE_1000);
}, function (p) {
  return p.bp4_size6 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:-.052em;margin-left:-.09em;'], theme.FONTSIZE_1100);
}, function (p) {
  return p.bold && (0, _styledComponents.css)(['font-weight:500;font-family:', ';'], theme.UNTITLEDSANSMEDIUM);
}, function (p) {
  return p.truncate && (0, _styledComponents.css)(['white-space:nowrap;text-overflow:ellipsis;overflow:hidden;']);
}, function (p) {
  return p.nowrap && (0, _styledComponents.css)(['white-space:nowrap;']);
}, function (p) {
  return p.tnum && (0, _styledComponents.css)(['font-feature-settings:\'tnum\';']);
}, function (p) {
  return p.us_none && (0, _styledComponents.css)(['user-select:none;']);
}, _Leading2.default, _Margin2.default, _NegativeMargin2.default, _TextAlign2.default, _Color2.default);

Heading.propTypes = {
  mode: _propTypes2.default.oneOf(['size1', 'size2', 'size3', 'size4', 'size5', 'size6'])
};

exports.default = Heading;
module.exports = exports['default'];