'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var IndicatorButton = _styledComponents2.default.button.attrs({
  type: 'button'
}).withConfig({
  displayName: 'IndicatorButton',
  componentId: 'isv7dm-0'
})(['appearance:none;background-color:transparent;box-shadow:inset 0 0 0 1px ', ';border:none;border-radius:50%;cursor:pointer;flex-shrink:0;height:', ';width:', ';outline:none;padding:0;vertical-align:middle;&:hover{box-shadow:inset 0 0 0 1px ', ';}', ' &:disabled{box-shadow:inset 0 0 0 1px ', ';cursor:not-allowed;}'], theme.GRAY_400, theme.SPACING_200, theme.SPACING_200, theme.GRAY_500, function (p) {
  return p.active && (0, _styledComponents.css)(['box-shadow:none;background-color:', ';'], theme.GRAY_900);
}, theme.GRAY_300);

exports.default = IndicatorButton;
module.exports = exports['default'];