'use strict';

exports.__esModule = true;

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Input = _styledComponents2.default.input.attrs({
  type: 'text'
}).withConfig({
  displayName: 'Input',
  componentId: 'sc-12dbb81-0'
})(['background-color:transparent;border:none;border-radius:0;box-shadow:inset 0 -1px 0 0 ', ';font-family:inherit;font-size:', ';height:', ';line-height:', ';outline:none;padding:0;vertical-align:middle;width:100%;&::-webkit-input-placeholder{color:', ';opacity:1;}&::-moz-placeholder{color:', ';opacity:1;}&:-ms-input-placeholder{color:', ';opacity:1;}&:focus{box-shadow:inset 0 -1px 0 0 ', ';}&:read-only{box-shadow:inset 0 -1px 0 0 ', ';color:', ';}&:disabled{box-shadow:inset 0 -1px 0 0 ', ';color:', ';cursor:not-allowed;}', ' ', ' ', ' ', ' ', ''], theme.GRAY_400, theme.FONTSIZE_300, theme.SPACING_500, theme.SPACING_500, theme.GRAY_500, theme.GRAY_500, theme.GRAY_500, theme.BLUE_500, theme.GRAY_300, theme.GRAY_600, theme.GRAY_300, theme.GRAY_500, function (p) {
  return p.paddedLeft && (0, _styledComponents.css)(['padding-left:', ';'], theme.SPACING_400);
}, function (p) {
  return p.paddedRight && (0, _styledComponents.css)(['padding-right:', ';'], theme.SPACING_400);
}, function (p) {
  return p.size2 && (0, _styledComponents.css)(['font-size:', ';height:', ';', ' ', ''], theme.FONTSIZE_400, theme.SPACING_600, function (p) {
    return p.paddedLeft && (0, _styledComponents.css)(['padding-left:', ';'], theme.SPACING_600);
  }, function (p) {
    return p.paddedRight && (0, _styledComponents.css)(['padding-right:', ';'], theme.SPACING_600);
  });
}, function (p) {
  return p.ta_center && (0, _styledComponents.css)(['text-align:center;']);
}, function (p) {
  return p.tnum && (0, _styledComponents.css)(['font-feature-settings:\'tnum\';']);
});

exports.default = Input;
module.exports = exports['default'];