'use strict';

exports.__esModule = true;

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Link = _styledComponents2.default.a.withConfig({
  displayName: 'Link',
  componentId: 'eqt1fg-0'
})(['font-size:', ';color:', ';text-decoration:none;cursor:pointer;&:hover{text-decoration:underline;}', ' ', ''], theme.FONTSIZE_400, theme.BLUE_500, function (props) {
  return props.size2 && (0, _styledComponents.css)(['font-size:', ';'], theme.FONTSIZE_500);
}, function (props) {
  return props.light && (0, _styledComponents.css)(['color:', ';'], theme.GRAY_500);
});

exports.default = Link;
module.exports = exports['default'];