'use strict';

exports.__esModule = true;

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

var _Padding = require('./../utilities/Padding');

var _Padding2 = _interopRequireDefault(_Padding);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ListItem = _styledComponents2.default.li.withConfig({
  displayName: 'ListItem',
  componentId: 'sc-8oejgo-0'
})(['box-sizing:border-box;display:flex;line-height:1;width:100%;min-height:31px;padding-bottom:', ';padding-left:', ';padding-right:', ';padding-top:', ';', ' ', ''], theme.SPACING_100, theme.SPACING_400, theme.SPACING_400, theme.SPACING_100, function (props) {
  return props.highlighted && (0, _styledComponents.css)(['background-color:', ';'], theme.BLUE_200);
}, _Padding2.default);

exports.default = ListItem;
module.exports = exports['default'];