'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var PillTab = _styledComponents2.default.a.withConfig({
  displayName: 'PillTab',
  componentId: 'sc-1k41e1x-0'
})(['align-items:center;display:inline-flex;font-family:', ';font-size:', ';font-weight:500;line-height:1;white-space:nowrap;box-shadow:inset 0 0 0 1px ', ';color:', ';flex-shrink:0;justify-content:center;outline:none;user-select:none;vertical-align:middle;flex-grow:1;flex-basis:0;position:relative;text-decoration:none;height:', ';padding:0 ', ';min-width:', ';&:hover{box-shadow:inset 0 0 0 1px ', ';}', ' ', ' ', ' ', ' ', ''], theme.UNTITLEDSANSMEDIUM, theme.FONTSIZE_300, theme.GRAY_400, theme.GRAY_600, theme.SPACING_500, theme.SPACING_400, theme.SPACING_500, theme.GRAY_500, function (p) {
  return p.left && (0, _styledComponents.css)(['border-radius:9999px 0 0 9999px;&:hover{z-index:3;}']);
}, function (p) {
  return p.middle && (0, _styledComponents.css)(['margin-left:-1px;z-index:1;&:hover{z-index:3;}']);
}, function (p) {
  return p.right && (0, _styledComponents.css)(['border-radius:0 9999px 9999px 0;margin-left:-1px;z-index:0;&:hover{z-index:3;}']);
}, function (p) {
  return p.active && (0, _styledComponents.css)(['background-color:', ';box-shadow:inset 0 0 0 1px ', ',inset 0 2px 0 hsla(208,24%,10%,.05);color:', ';cursor:default;z-index:3;'], theme.GRAY_200, theme.GRAY_500, theme.GRAY_600);
}, function (p) {
  return p.disabled && (0, _styledComponents.css)(['background-color:', ';color:', ';pointer-events:none;'], theme.GRAY_200, theme.GRAY_500);
});

exports.default = PillTab;
module.exports = exports['default'];