'use strict';

exports.__esModule = true;

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Status = _styledComponents2.default.div.withConfig({
  displayName: 'Status',
  componentId: 'sc-1rde67r-0'
})(['display:inline-flex;align-items:center;text-align:center;min-height:', ';min-width:', ';font-size:', ';line-height:1;border-radius:9999px;padding:0 ', ';box-shadow:inset 0 0 0 1px ', ';font-feature-settings:\'tnum\';font-family:', ';font-weight:500;', ' ', ' ', ' ', ' ', ''], theme.SPACING_200, theme.SPACING_200, theme.FONTSIZE_200, theme.SPACING_100, theme.GRAY_400, theme.UNTITLEDSANSMEDIUM, function (p) {
  return p.size2 && (0, _styledComponents.css)(['min-height:', ';min-width:', ';'], theme.SPACING_300, theme.SPACING_300);
}, function (p) {
  return p.blue && (0, _styledComponents.css)(['background-color:', ';box-shadow:none;color:white;'], theme.BLUE_500);
}, function (p) {
  return p.green && (0, _styledComponents.css)(['background-color:', ';box-shadow:none;color:white;'], theme.GREEN_500);
}, function (p) {
  return p.yellow && (0, _styledComponents.css)(['background-color:', ';box-shadow:none;color:white;'], theme.YELLOW_500);
}, function (p) {
  return p.red && (0, _styledComponents.css)(['background-color:', ';box-shadow:none;color:white;'], theme.RED_500);
});

exports.default = Status;
module.exports = exports['default'];