'use strict';

exports.__esModule = true;

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

var _Margin = require('./../utilities/Margin');

var _Margin2 = _interopRequireDefault(_Margin);

var _NegativeMargin = require('./../utilities/NegativeMargin');

var _NegativeMargin2 = _interopRequireDefault(_NegativeMargin);

var _TextAlign = require('./../utilities/TextAlign');

var _TextAlign2 = _interopRequireDefault(_TextAlign);

var _Color = require('./../utilities/Color');

var _Color2 = _interopRequireDefault(_Color);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Title = _styledComponents2.default.h3.withConfig({
  displayName: 'Title',
  componentId: 'dd9rj1-0'
})(['color:', ';margin:0;font-family:', ';font-weight:500;text-transform:uppercase;', ' ', ' ', ' ', ' ', ' ', ' ', ''], theme.GRAY_900, theme.UNTITLEDSANSMEDIUM, function (p) {
  return p.size1 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:.135em;'], theme.FONTSIZE_200);
}, function (p) {
  return p.size2 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:.135em;'], theme.FONTSIZE_300);
}, function (p) {
  return p.size3 && (0, _styledComponents.css)(['font-size:', ';letter-spacing:.05em;'], theme.FONTSIZE_500);
}, _Margin2.default, _NegativeMargin2.default, _TextAlign2.default, _Color2.default);

exports.default = Title;
module.exports = exports['default'];