'use strict';

exports.__esModule = true;
var BLACK = exports.BLACK = 'hsl(0, 0%, 0%)';
var BLACK_900 = exports.BLACK_900 = 'hsla(0, 0%, 0%, .9)';
var BLACK_700 = exports.BLACK_700 = 'hsla(0, 0%, 0%, .7)';
var BLACK_500 = exports.BLACK_500 = 'hsla(0, 0%, 0%, .5)';
var BLACK_300 = exports.BLACK_300 = 'hsla(0, 0%, 0%, .3)';
var BLACK_100 = exports.BLACK_100 = 'hsla(0, 0%, 0%, .1)';

var WHITE = exports.WHITE = 'hsl(0, 0%, 100%)';
var WHITE_900 = exports.WHITE_900 = 'hsla(0, 0%, 100%, .9)';
var WHITE_700 = exports.WHITE_700 = 'hsla(0, 0%, 100%, .7)';
var WHITE_500 = exports.WHITE_500 = 'hsla(0, 0%, 100%, .5)';
var WHITE_300 = exports.WHITE_300 = 'hsla(0, 0%, 100%, .3)';
var WHITE_100 = exports.WHITE_100 = 'hsla(0, 0%, 100%, .1)';

var GRAY_100 = exports.GRAY_100 = 'hsl(208, 32%, 99%)';
var GRAY_200 = exports.GRAY_200 = 'hsl(208, 28%, 97%)';
var GRAY_300 = exports.GRAY_300 = 'hsl(208, 24%, 93%)';
var GRAY_400 = exports.GRAY_400 = 'hsl(208, 20%, 86%)';
var GRAY_500 = exports.GRAY_500 = 'hsl(208, 16%, 76%)';
var GRAY_600 = exports.GRAY_600 = 'hsl(208, 12%, 46%)';
var GRAY_700 = exports.GRAY_700 = 'hsl(208, 16%, 15%)';
var GRAY_800 = exports.GRAY_800 = 'hsl(208, 20%, 10%)';
var GRAY_900 = exports.GRAY_900 = 'hsl(208, 24%, 7%)';

var BLUE_100 = exports.BLUE_100 = 'hsl(208, 99%, 99%)';
var BLUE_200 = exports.BLUE_200 = 'hsl(208, 96%, 97%)';
var BLUE_300 = exports.BLUE_300 = 'hsl(208, 78%, 78%)';
var BLUE_400 = exports.BLUE_400 = 'hsl(208, 76%, 68%)';
var BLUE_500 = exports.BLUE_500 = 'hsl(208, 98%, 50%)';
var BLUE_600 = exports.BLUE_600 = 'hsl(208, 82%, 45%)';
var BLUE_700 = exports.BLUE_700 = 'hsl(208, 99%, 35%)';
var BLUE_800 = exports.BLUE_800 = 'hsl(208, 99%, 12%)';
var BLUE_900 = exports.BLUE_900 = 'hsl(208, 99%, 10%)';

var GREEN_100 = exports.GREEN_100 = 'hsl(142, 60%, 99%)';
var GREEN_200 = exports.GREEN_200 = 'hsl(142, 60%, 97%)';
var GREEN_300 = exports.GREEN_300 = 'hsl(142, 40%, 72%)';
var GREEN_400 = exports.GREEN_400 = 'hsl(142, 34%, 64%)';
var GREEN_500 = exports.GREEN_500 = 'hsl(142, 68%, 42%)';
var GREEN_600 = exports.GREEN_600 = 'hsl(142, 62%, 40%)';
var GREEN_700 = exports.GREEN_700 = 'hsl(142, 60%, 38%)';
var GREEN_800 = exports.GREEN_800 = 'hsl(142, 60%, 12%)';
var GREEN_900 = exports.GREEN_900 = 'hsl(142, 60%, 10%)';

var YELLOW_100 = exports.YELLOW_100 = 'hsl(54, 100%, 99%)';
var YELLOW_200 = exports.YELLOW_200 = 'hsl(54, 100%, 97%)';
var YELLOW_300 = exports.YELLOW_300 = 'hsl(54, 100%, 92%)';
var YELLOW_400 = exports.YELLOW_400 = 'hsl(54, 100%, 72%)';
var YELLOW_500 = exports.YELLOW_500 = 'hsl(52, 100%, 46%)';
var YELLOW_600 = exports.YELLOW_600 = 'hsl(52, 100%, 40%)';
var YELLOW_700 = exports.YELLOW_700 = 'hsl(52, 100%, 18%)';
var YELLOW_800 = exports.YELLOW_800 = 'hsl(52, 100%, 13%)';
var YELLOW_900 = exports.YELLOW_900 = 'hsl(52, 100%, 10%)';

var RED_100 = exports.RED_100 = 'hsl(0, 100%, 99%)';
var RED_200 = exports.RED_200 = 'hsl(0, 100%, 97%)';
var RED_300 = exports.RED_300 = 'hsl(0, 85%, 92%)';
var RED_400 = exports.RED_400 = 'hsl(0, 85%, 78%)';
var RED_500 = exports.RED_500 = 'hsl(0, 100%, 65%)';
var RED_600 = exports.RED_600 = 'hsl(0, 100%, 45%)';
var RED_700 = exports.RED_700 = 'hsl(0, 100%, 40%)';
var RED_800 = exports.RED_800 = 'hsl(0, 100%, 12%)';
var RED_900 = exports.RED_900 = 'hsl(0, 100%, 10%)';

var COLOR_FACEBOOK = exports.COLOR_FACEBOOK = '#4267b2';
var COLOR_TWITTER = exports.COLOR_TWITTER = '#1da1f2';