"use strict";

exports.__esModule = true;

var _styledComponents = require("styled-components");

var _theme = require("./../theme/");

var theme = _interopRequireWildcard(_theme);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var heightPropsKeys = ['height_100'];

var Height = function Height(p) {
  return (0, _styledComponents.css)(["", " ", " ", " ", " ", ""], p.height_100 && " height: 100%; ", heightPropsKeys.some(function (prop) {
    return p["bp1_" + prop];
  }) && (0, _styledComponents.css)(["@media (min-width:", "){", "}"], theme.BREAKPOINT_100, p.bp1_height_100 && " height: 100%; "), heightPropsKeys.some(function (prop) {
    return p["bp2_" + prop];
  }) && (0, _styledComponents.css)(["@media (min-width:", "){", "}"], theme.BREAKPOINT_200, p.bp2_height_100 && " height: 100%; "), heightPropsKeys.some(function (prop) {
    return p["bp3_" + prop];
  }) && (0, _styledComponents.css)(["@media (min-width:", "){", "}"], theme.BREAKPOINT_300, p.bp3_height_100 && " height: 100%; "), heightPropsKeys.some(function (prop) {
    return p["bp4_" + prop];
  }) && (0, _styledComponents.css)(["@media (min-width:", "){", "}"], theme.BREAKPOINT_400, p.bp4_height_100 && " height: 100%; "));
};

exports.default = Height;
module.exports = exports["default"];