'use strict';

exports.__esModule = true;

var _styledComponents = require('styled-components');

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var pointereventPropsKeys = ['pe_none', 'pe_auto'];

var PointerEvents = function PointerEvents(p) {
  return (0, _styledComponents.css)(['', ' ', ' ', ' ', ' ', ' ', ''], p.pe_none && ' pointer-events: none; ', p.pe_auto && ' pointer-events: auto; ', pointereventPropsKeys.some(function (prop) {
    return p['bp1_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', '}'], theme.BREAKPOINT_100, p.bp1_pe_none && ' pointer-events: none; ', p.bp1_pe_auto && ' pointer-events: auto; '), pointereventPropsKeys.some(function (prop) {
    return p['bp2_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', '}'], theme.BREAKPOINT_200, p.bp2_pe_none && ' pointer-events: none; ', p.bp2_pe_auto && ' pointer-events: auto; '), pointereventPropsKeys.some(function (prop) {
    return p['bp3_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', '}'], theme.BREAKPOINT_300, p.bp3_pe_none && ' pointer-events: none; ', p.bp3_pe_auto && ' pointer-events: auto; '), pointereventPropsKeys.some(function (prop) {
    return p['bp4_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', '}'], theme.BREAKPOINT_400, p.bp4_pe_none && ' pointer-events: none; ', p.bp4_pe_auto && ' pointer-events: auto; '));
};

exports.default = PointerEvents;
module.exports = exports['default'];