'use strict';

exports.__esModule = true;

var _styledComponents = require('styled-components');

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var TextAlignPropsKeys = ['left', 'center', 'right'];
var TextAlign = function TextAlign(p) {
  return (0, _styledComponents.css)(['', ' ', ' ', ' ', ' ', ' ', ' ', ''], p.ta_left && ' text-align: left; ', p.ta_center && ' text-align: center; ', p.ta_right && ' text-align: right; ', TextAlignPropsKeys.some(function (prop) {
    return p['bp1_ta_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', ' ', '}'], theme.BREAKPOINT_100, p.bp1_ta_left && ' text-align: left; ', p.bp1_ta_center && ' text-align: center; ', p.bp1_ta_right && ' text-align: right; '), TextAlignPropsKeys.some(function (prop) {
    return p['bp2_ta_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', ' ', '}'], theme.BREAKPOINT_200, p.bp2_ta_left && ' text-align: left; ', p.bp2_ta_center && ' text-align: center; ', p.bp2_ta_right && ' text-align: right; '), TextAlignPropsKeys.some(function (prop) {
    return p['bp3_ta_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', ' ', '}'], theme.BREAKPOINT_300, p.bp3_ta_left && ' text-align: left; ', p.bp3_ta_center && ' text-align: center; ', p.bp3_ta_right && ' text-align: right; '), TextAlignPropsKeys.some(function (prop) {
    return p['bp4_ta_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', ' ', '}'], theme.BREAKPOINT_400, p.bp4_ta_left && ' text-align: left; ', p.bp4_ta_center && ' text-align: center; ', p.bp4_ta_right && ' text-align: right; '));
};

exports.default = TextAlign;
module.exports = exports['default'];