import React from 'react';
import styled, { css } from 'styled-components';
import * as theme from './../theme/';

var Container = styled.div.withConfig({
  displayName: 'AspectRatio__Container',
  componentId: 'x4wryn-0'
})(['padding-bottom:100%;position:relative;width:100%;', ''], function (props) {
  return props.ratio_169 && css(['padding-bottom:56.25%;']);
});

var Content = styled.div.withConfig({
  displayName: 'AspectRatio__Content',
  componentId: 'x4wryn-1'
})(['height:100%;left:0;position:absolute;top:0;width:100%;']);

var AspectRatio = function AspectRatio(props) {
  return React.createElement(
    Container,
    props,
    React.createElement(
      Content,
      props,
      props.children
    )
  );
};

export default AspectRatio;