import React from 'react';
import styled, { css } from 'styled-components';

var Container = styled.div.withConfig({
  displayName: 'BackgroundImage__Container',
  componentId: 'hgyx90-0'
})(['background-position:center;background-size:cover;width:100%;height:100%;']);

var BackgroundImage = function BackgroundImage(props) {
  return React.createElement(Container, {
    style: {
      backgroundImage: 'url(' + props.src + ')'
    } });
};

export default BackgroundImage;