import React from 'react';
import styled, { css } from 'styled-components';
import * as theme from './../theme/';
import Margin from './../utilities/Margin';

var ChromelessButton = styled.button.attrs({
  type: 'button'
}).withConfig({
  displayName: 'ChromelessButton',
  componentId: 'sc-1yazfs8-0'
})(['align-items:center;appearance:none;background-color:transparent;border:none;color:', ';cursor:pointer;display:inline-flex;flex-shrink:0;font-family:', ';font-size:', ';font-weight:500;justify-content:center;line-height:1;min-width:', ';outline:none;padding:0;position:relative;pointer-events:auto;text-align:center;text-decoration:none;user-select:none;vertical-align:middle;white-space:nowrap;&:focus{box-shadow:inset 0 0 0 1px ', ';}', ' ', ' ', ' ', ' &:disabled{color:', ';cursor:not-allowed;}', ''], theme.GRAY_600, theme.UNTITLEDSANSMEDIUM, theme.FONTSIZE_300, theme.SPACING_500, theme.BLUE_500, function (p) {
  return p.blue && css(['color:', ';'], theme.BLUE_600);
}, function (p) {
  return p.green && css(['color:', ';'], theme.GREEN_600);
}, function (p) {
  return p.yellow && css(['color:', ';'], theme.YELLOW_600);
}, function (p) {
  return p.red && css(['color:', ';'], theme.RED_600);
}, theme.GRAY_500, Margin);

export default ChromelessButton;