import styled, { css } from 'styled-components';
import * as theme from './../theme/';

var ContextMenu = styled.div.withConfig({
  displayName: 'ContextMenu',
  componentId: 'nba5kn-0'
})(['background-color:', ';border-radius:', ';box-shadow:0 10px 38px -10px hsla(208,24%,7%,.35),0 10px 20px -15px hsla(208,24%,7%,.2);padding-bottom:', ';padding-top:', ';position:fixed;z-index:', ';', ' ', ' ', ' ', ''], theme.WHITE, theme.BORDERRADIUS_100, theme.SPACING_100, theme.SPACING_100, theme.ZINDEX_CONTEXT_MENU, function (props) {
  return props.top && css(['top:', ';'], props.top);
}, function (props) {
  return props.bottom && css(['bottom:', ';'], props.bottom);
}, function (props) {
  return props.left && css(['left:', ';'], props.left);
}, function (props) {
  return props.right && css(['right:', ';'], props.right);
});

export default ContextMenu;