import styled, { css } from 'styled-components';
import * as theme from './../theme/';

var GhostInput = styled.input.attrs({
  type: 'text'
}).withConfig({
  displayName: 'GhostInput',
  componentId: 'sc-19t4gsp-0'
})(['background-color:transparent;font-family:inherit;height:', ';line-height:', ';padding:0;font-size:', ';border-radius:0;border:none;outline:none;box-shadow:none;vertical-align:middle;width:100%;&::-webkit-input-placeholder{color:', ';opacity:1;}&::-moz-placeholder{color:', ';opacity:1;}&:-ms-input-placeholder{color:', ';opacity:1;}&:read-only{color:', ';}&:disabled{color:', ';cursor:not-allowed;}', ' ', ''], theme.SPACING_500, theme.SPACING_500, theme.FONTSIZE_300, theme.GRAY_500, theme.GRAY_500, theme.GRAY_500, theme.GRAY_600, theme.GRAY_500, function (p) {
  return p.ta_center && css(['text-align:center;']);
}, function (p) {
  return p.tnum && css(['font-feature-settings:\'tnum\';']);
});

export default GhostInput;