import styled, { css } from 'styled-components';
import HoverZone from './HoverZone';
import Padding from './../utilities/Padding';
import Position from './../utilities/Position';
import Height from './../utilities/Height';
import Width from './../utilities/Width';

var HoverZonePanel = styled.div.withConfig({
  displayName: 'HoverZonePanel',
  componentId: 'sc-1jbabif-0'
})(['opacity:0;pointer-events:none;', ':hover &{opacity:1;pointer-events:auto;}', ' ', ' ', ' ', ' ', ''], HoverZone, function (p) {
  return p.forceShow && css(['opacity:1;pointer-events:auto;']);
}, Height, Padding, Position, Width);

export default HoverZonePanel;