import styled, { css } from 'styled-components';
import * as theme from './../theme/';

var Link = styled.a.withConfig({
  displayName: 'Link',
  componentId: 'eqt1fg-0'
})(['font-size:', ';color:', ';text-decoration:none;cursor:pointer;&:hover{text-decoration:underline;}', ' ', ''], theme.FONTSIZE_400, theme.BLUE_500, function (props) {
  return props.size2 && css(['font-size:', ';'], theme.FONTSIZE_500);
}, function (props) {
  return props.light && css(['color:', ';'], theme.GRAY_500);
});

export default Link;