import PropTypes from 'prop-types';
import styled, { css } from 'styled-components';
import * as theme from './../theme/';
import Margin from './../utilities/Margin';
import NegativeMargin from './../utilities/NegativeMargin';
import TextAlign from './../utilities/TextAlign';
import Color from './../utilities/Color';

var Title = styled.h3.withConfig({
  displayName: 'Title',
  componentId: 'dd9rj1-0'
})(['color:', ';margin:0;font-family:', ';font-weight:500;text-transform:uppercase;', ' ', ' ', ' ', ' ', ' ', ' ', ''], theme.GRAY_900, theme.UNTITLEDSANSMEDIUM, function (p) {
  return p.size1 && css(['font-size:', ';letter-spacing:.135em;'], theme.FONTSIZE_200);
}, function (p) {
  return p.size2 && css(['font-size:', ';letter-spacing:.135em;'], theme.FONTSIZE_300);
}, function (p) {
  return p.size3 && css(['font-size:', ';letter-spacing:.05em;'], theme.FONTSIZE_500);
}, Margin, NegativeMargin, TextAlign, Color);

export default Title;