'use strict';

exports.__esModule = true;

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

var _Margin = require('./../utilities/Margin');

var _Margin2 = _interopRequireDefault(_Margin);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Alert = _styledComponents2.default.div.withConfig({
  displayName: 'Alert',
  componentId: 'sc-10ssx2i-0'
})(['align-items:center;display:flex;min-height:', ';', ' ', ''], theme.SPACING_600, function (props) {
  return props.rounded && (0, _styledComponents.css)(['border-radius:9999px;padding-left:', ';padding-right:', ';display:inline-flex;', ' ', ' ', ' ', ' ', ''], theme.SPACING_400, theme.SPACING_400, function (props) {
    return props.gray && (0, _styledComponents.css)(['background-color:', ';box-shadow:inset 0 0 0 1px ', ';color:', ';'], theme.GRAY_100, theme.GRAY_300, theme.GRAY_600);
  }, function (props) {
    return props.blue && (0, _styledComponents.css)(['background-color:', ';box-shadow:inset 0 0 0 1px ', ';color:', ';'], theme.BLUE_100, theme.BLUE_300, theme.BLUE_600);
  }, function (props) {
    return props.green && (0, _styledComponents.css)(['background-color:', ';box-shadow:inset 0 0 0 1px ', ';color:', ';'], theme.GREEN_100, theme.GREEN_300, theme.GREEN_600);
  }, function (props) {
    return props.yellow && (0, _styledComponents.css)(['background-color:', ';box-shadow:inset 0 0 0 1px ', ';color:', ';'], theme.YELLOW_100, theme.YELLOW_300, theme.YELLOW_600);
  }, function (props) {
    return props.red && (0, _styledComponents.css)(['background-color:', ';box-shadow:inset 0 0 0 1px ', ';color:', ';'], theme.RED_100, theme.RED_300, theme.RED_600);
  });
}, _Margin2.default);

exports.default = Alert;
module.exports = exports['default'];