'use strict';

exports.__esModule = true;

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

var _Margin = require('./../utilities/Margin');

var _Margin2 = _interopRequireDefault(_Margin);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Badge = _styledComponents2.default.span.withConfig({
  displayName: 'Badge',
  componentId: 'aoxxc6-0'
})(['align-items:center;background-color:transparent;border-radius:9999px;display:inline-flex;font-family:', ';font-size:', ';font-weight:500;height:', ';letter-spacing:.134em;padding:0 ', ';text-transform:uppercase;user-select:none;vertical-align:middle;white-space:nowrap;', ' ', ' ', ' ', ' ', ' ', ' ', ''], theme.UNTITLEDSANSMEDIUM, theme.FONTSIZE_100, theme.SPACING_300, theme.SPACING_200, function (props) {
  return props.size2 && (0, _styledComponents.css)(['height:', ';font-size:', ';padding:0 ', ';'], theme.SPACING_500, theme.FONTSIZE_200, theme.SPACING_300);
}, function (props) {
  return props.gray && (0, _styledComponents.css)(['box-shadow:inset 0 0 0 1px ', ';color:', ';'], theme.GRAY_400, theme.GRAY_600);
}, function (props) {
  return props.blue && (0, _styledComponents.css)(['box-shadow:inset 0 0 0 1px ', ';color:', ';'], theme.BLUE_400, theme.BLUE_600);
}, function (props) {
  return props.green && (0, _styledComponents.css)(['box-shadow:inset 0 0 0 1px ', ';color:', ';'], theme.GREEN_400, theme.GREEN_600);
}, function (props) {
  return props.yellow && (0, _styledComponents.css)(['box-shadow:inset 0 0 0 1px ', ';color:', ';'], theme.YELLOW_400, theme.YELLOW_600);
}, function (props) {
  return props.red && (0, _styledComponents.css)(['box-shadow:inset 0 0 0 1px ', ';color:', ';'], theme.RED_500, theme.RED_500);
}, _Margin2.default);

Badge.propTypes = {
  color: _propTypes2.default.oneOf(['gray', 'blue', 'green', 'yellow', 'red'])
};

Badge.defaultProps = {
  color: 'gray'
};

exports.default = Badge;
module.exports = exports['default'];