'use strict';

exports.__esModule = true;

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

var _Margin = require('./../utilities/Margin');

var _Margin2 = _interopRequireDefault(_Margin);

var _NegativeMargin = require('./../utilities/NegativeMargin');

var _NegativeMargin2 = _interopRequireDefault(_NegativeMargin);

var _Padding = require('./../utilities/Padding');

var _Padding2 = _interopRequireDefault(_Padding);

var _TextAlign = require('./../utilities/TextAlign');

var _TextAlign2 = _interopRequireDefault(_TextAlign);

var _Height = require('./../utilities/Height');

var _Height2 = _interopRequireDefault(_Height);

var _Width = require('./../utilities/Width');

var _Width2 = _interopRequireDefault(_Width);

var _Overflow = require('./../utilities/Overflow');

var _Overflow2 = _interopRequireDefault(_Overflow);

var _Position = require('./../utilities/Position');

var _Position2 = _interopRequireDefault(_Position);

var _FlexItem = require('./../utilities/FlexItem');

var _FlexItem2 = _interopRequireDefault(_FlexItem);

var _BackgroundColor = require('./../utilities/BackgroundColor');

var _BackgroundColor2 = _interopRequireDefault(_BackgroundColor);

var _PointerEvents = require('./../utilities/PointerEvents');

var _PointerEvents2 = _interopRequireDefault(_PointerEvents);

var _Offset = require('./../utilities/Offset');

var _Offset2 = _interopRequireDefault(_Offset);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Box = _styledComponents2.default.div.withConfig({
  displayName: 'Box',
  componentId: 'w29aqq-0'
})(['', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ''], function (p) {
  return p.border && (0, _styledComponents.css)([' border:1px solid;']);
}, function (p) {
  return p.bt && (0, _styledComponents.css)([' border-top:1px solid;']);
}, function (p) {
  return p.br && (0, _styledComponents.css)([' border-right:1px solid;']);
}, function (p) {
  return p.bb && (0, _styledComponents.css)([' border-bottom:1px solid;']);
}, function (p) {
  return p.bl && (0, _styledComponents.css)([' border-left:1px solid;']);
}, function (p) {
  return p.bcgray300 && (0, _styledComponents.css)([' border-color:', ';'], theme.GRAY_300);
}, function (p) {
  return p.bcgray400 && (0, _styledComponents.css)([' border-color:', ';'], theme.GRAY_400);
}, function (p) {
  return p.table && (0, _styledComponents.css)([' display:table;']);
}, function (p) {
  return p.tablerow && (0, _styledComponents.css)([' display:table-row;']);
}, function (p) {
  return p.tablecell && (0, _styledComponents.css)([' display:table-cell;']);
}, function (p) {
  return p.alignmiddle && (0, _styledComponents.css)([' vertical-align:middle;']);
}, _BackgroundColor2.default, _Margin2.default, _NegativeMargin2.default, _Padding2.default, _TextAlign2.default, _Height2.default, _Width2.default, _Overflow2.default, _Position2.default, _FlexItem2.default, _PointerEvents2.default, _Offset2.default);

exports.default = Box;
module.exports = exports['default'];