'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

var _Margin = require('./../utilities/Margin');

var _Margin2 = _interopRequireDefault(_Margin);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ChromelessButton = _styledComponents2.default.button.attrs({
  type: 'button'
}).withConfig({
  displayName: 'ChromelessButton',
  componentId: 'sc-1yazfs8-0'
})(['align-items:center;appearance:none;background-color:transparent;border:none;color:', ';cursor:pointer;display:inline-flex;flex-shrink:0;font-family:', ';font-size:', ';font-weight:500;justify-content:center;line-height:1;min-width:', ';outline:none;padding:0;position:relative;pointer-events:auto;text-align:center;text-decoration:none;user-select:none;vertical-align:middle;white-space:nowrap;&:focus{box-shadow:inset 0 0 0 1px ', ';}', ' ', ' ', ' ', ' &:disabled{color:', ';cursor:not-allowed;}', ''], theme.GRAY_600, theme.UNTITLEDSANSMEDIUM, theme.FONTSIZE_300, theme.SPACING_500, theme.BLUE_500, function (p) {
  return p.blue && (0, _styledComponents.css)(['color:', ';'], theme.BLUE_600);
}, function (p) {
  return p.green && (0, _styledComponents.css)(['color:', ';'], theme.GREEN_600);
}, function (p) {
  return p.yellow && (0, _styledComponents.css)(['color:', ';'], theme.YELLOW_600);
}, function (p) {
  return p.red && (0, _styledComponents.css)(['color:', ';'], theme.RED_600);
}, theme.GRAY_500, _Margin2.default);

exports.default = ChromelessButton;
module.exports = exports['default'];