'use strict';

exports.__esModule = true;

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var GhostInput = _styledComponents2.default.input.attrs({
  type: 'text'
}).withConfig({
  displayName: 'GhostInput',
  componentId: 'sc-19t4gsp-0'
})(['background-color:transparent;font-family:inherit;height:', ';line-height:', ';padding:0;font-size:', ';border-radius:0;border:none;outline:none;box-shadow:none;vertical-align:middle;width:100%;&::-webkit-input-placeholder{color:', ';opacity:1;}&::-moz-placeholder{color:', ';opacity:1;}&:-ms-input-placeholder{color:', ';opacity:1;}&:read-only{color:', ';}&:disabled{color:', ';cursor:not-allowed;}', ' ', ''], theme.SPACING_500, theme.SPACING_500, theme.FONTSIZE_300, theme.GRAY_500, theme.GRAY_500, theme.GRAY_500, theme.GRAY_600, theme.GRAY_500, function (p) {
  return p.ta_center && (0, _styledComponents.css)(['text-align:center;']);
}, function (p) {
  return p.tnum && (0, _styledComponents.css)(['font-feature-settings:\'tnum\';']);
});

exports.default = GhostInput;
module.exports = exports['default'];