'use strict';

exports.__esModule = true;

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _HoverZone = require('./HoverZone');

var _HoverZone2 = _interopRequireDefault(_HoverZone);

var _Padding = require('./../utilities/Padding');

var _Padding2 = _interopRequireDefault(_Padding);

var _Position = require('./../utilities/Position');

var _Position2 = _interopRequireDefault(_Position);

var _Height = require('./../utilities/Height');

var _Height2 = _interopRequireDefault(_Height);

var _Width = require('./../utilities/Width');

var _Width2 = _interopRequireDefault(_Width);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var HoverZonePanel = _styledComponents2.default.div.withConfig({
  displayName: 'HoverZonePanel',
  componentId: 'sc-1jbabif-0'
})(['opacity:0;pointer-events:none;', ':hover &{opacity:1;pointer-events:auto;}', ' ', ' ', ' ', ' ', ''], _HoverZone2.default, function (p) {
  return p.forceShow && (0, _styledComponents.css)(['opacity:1;pointer-events:auto;']);
}, _Height2.default, _Padding2.default, _Position2.default, _Width2.default);

exports.default = HoverZonePanel;
module.exports = exports['default'];