'use strict';

exports.__esModule = true;

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

var _Margin = require('./../utilities/Margin');

var _Margin2 = _interopRequireDefault(_Margin);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LinesButton = _styledComponents2.default.button.withConfig({
  displayName: 'LinesButton',
  componentId: 'kn2mtj-0'
})(['position:relative;display:inline-flex;align-items:center;justify-content:center;appearance:none;user-select:none;font-family:', ';text-decoration:none;cursor:pointer;white-space:nowrap;text-transform:uppercase;line-height:1;border:none;outline:none;letter-spacing:.05em;transition-property:all;transition-duration:100ms;transition-timing-function:ease;z-index:0;border-radius:0;font-size:', ';height:', ';min-width:', ';padding:0 ', ';background-color:transparent;&::before{content:"";display:block;position:absolute;width:100%;height:100%;top:0;left:0;z-index:-1;background-color:', ';transition-property:all;transition-duration:50ms;transition-timing-function:ease;}&::after{content:"";display:block;position:absolute;width:100%;height:100%;top:6px;left:6px;z-index:-2;pointer-events:none;}&:active{transform:translate(1px,1px);}&:active::after{transform:translate(-6px,-6px);}', ' ', ' ', ' ', ' ', ''], theme.UNTITLEDSANSMEDIUM, theme.FONTSIZE_400, theme.SPACING_700, theme.SPACING_600, theme.SPACING_400, theme.WHITE, function (p) {
  return p.size1 && (0, _styledComponents.css)(['font-size:', ';height:', ';min-width:', ';padding:0 ', ';'], theme.FONTSIZE_300, theme.SPACING_600, theme.SPACING_600, theme.SPACING_300);
}, function (p) {
  return p.gray && (0, _styledComponents.css)(['color:', ';&::before{box-shadow:inset 0 0 0 1px ', ';}&::after{background-image:repeating-linear-gradient( -45deg,', ',', ' 1px,transparent 1px,transparent 6px );}&:hover::before,&:active::before,&:focus::before{box-shadow:inset 0 0 0 1px ', ';}'], theme.GRAY_600, theme.GRAY_400, theme.GRAY_500, theme.GRAY_500, theme.GRAY_500);
}, function (p) {
  return p.blue && (0, _styledComponents.css)(['color:', ';&::before{box-shadow:inset 0 0 0 1px ', ';}&::after{background-image:repeating-linear-gradient( -45deg,', ',', ' 1px,transparent 1px,transparent 6px );}&:hover::before,&:active::before,&:focus::before{box-shadow:inset 0 0 0 1px ', ';}'], theme.BLUE_500, theme.BLUE_300, theme.BLUE_500, theme.BLUE_500, theme.BLUE_500);
}, function (p) {
  return p.green && (0, _styledComponents.css)(['color:', ';&::before{box-shadow:inset 0 0 0 1px ', ';}&::after{background-image:repeating-linear-gradient( -45deg,', ',', ' 1px,transparent 1px,transparent 6px );}&:hover::before,&:active::before,&:focus::before{box-shadow:inset 0 0 0 1px ', ';}'], theme.GREEN_500, theme.GREEN_300, theme.GREEN_500, theme.GREEN_500, theme.GREEN_500);
}, _Margin2.default);

exports.default = LinesButton;
module.exports = exports['default'];