'use strict';

exports.__esModule = true;

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

var _Padding = require('./../utilities/Padding');

var _Padding2 = _interopRequireDefault(_Padding);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var MenuItem = _styledComponents2.default.div.attrs({ role: 'button' }).withConfig({
  displayName: 'MenuItem',
  componentId: 'sc-1a3djiv-0'
})(['align-items:center;background-color:transparent;border:none;box-sizing:border-box;color:inherit;cursor:pointer;display:flex;line-height:1;min-height:31px;outline:none;padding-left:', ';padding-right:', ';text-align:left;text-decoration:none;user-select:none;width:100%;&:hover{background-color:', ';}&:active{background-color:', ';}&:focus{box-shadow:0 0 0 1px ', ';}', ' ', ' ', ' ', ' ', ' ', ''], theme.SPACING_300, theme.SPACING_300, theme.GRAY_200, theme.GRAY_300, theme.BLUE_300, function (props) {
  return props.active && (0, _styledComponents.css)(['background-color:', ';color:white;cursor:default;font-family:', ';font-weight:500;pointer-events:none;&:focus{box-shadow:none;}'], theme.BLUE_500, theme.UNTITLEDSANSMEDIUM);
}, function (props) {
  return props.selected && (0, _styledComponents.css)(['background-color:', ';'], theme.BLUE_100);
}, function (props) {
  return props.highlighted && (0, _styledComponents.css)(['background-color:', ';&:hover,&:active{background-color:', ';}'], theme.BLUE_200, theme.BLUE_200);
}, function (props) {
  return props.size1 && (0, _styledComponents.css)(['min-height:', ';'], theme.SPACING_600);
}, function (props) {
  return props.size2 && (0, _styledComponents.css)(['min-height:', ';'], theme.SPACING_700);
}, _Padding2.default);

exports.default = MenuItem;
module.exports = exports['default'];