'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Wrapper = _styledComponents2.default.label.withConfig({
  displayName: 'Switch__Wrapper',
  componentId: 'sc-1dtighu-0'
})(['position:relative;display:block;width:', ';height:', ';'], theme.SPACING_600, theme.SPACING_100);

var Checkbox = _styledComponents2.default.input.withConfig({
  displayName: 'Switch__Checkbox',
  componentId: 'sc-1dtighu-1'
})(['position:absolute;opacity:0;z-index:-1;&:checked + div{background-color:', ';}&:checked + div::before{transform:translateX(', ');background-color:', ';}'], theme.BLUE_400, theme.SPACING_400, theme.BLUE_500);

var Dummy = _styledComponents2.default.div.withConfig({
  displayName: 'Switch__Dummy',
  componentId: 'sc-1dtighu-2'
})(['position:absolute;cursor:pointer;top:0;left:0;right:0;bottom:0;background-color:', ';border-radius:9999px;transition:background-color 100ms ease;&::before{position:absolute;content:"";height:', ';width:', ';left:0;bottom:-5px;background-color:', ';transition:transform 100ms ease;border-radius:50%;}&::after{position:absolute;content:\'\';bottom:-5px;left:0;width:100%;height:', ';}'], theme.GRAY_400, theme.SPACING_300, theme.SPACING_300, theme.GRAY_500, theme.SPACING_300);

var Switch = function Switch(props) {
  return _react2.default.createElement(
    Wrapper,
    null,
    _react2.default.createElement(Checkbox, _extends({}, props, {
      type: 'checkbox'
    })),
    _react2.default.createElement(Dummy, null)
  );
};

exports.default = Switch;
module.exports = exports['default'];