'use strict';

exports.__esModule = true;

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Textarea = _styledComponents2.default.textarea.withConfig({
  displayName: 'Textarea',
  componentId: 'vyjkct-0'
})(['background-color:transparent;font-family:inherit;height:', ';line-height:', ';padding:0;font-size:', ';border-radius:0;border:none;min-height:80px;outline:none;box-shadow:inset 0 -1px 0 0 ', ';vertical-align:middle;width:100%;resize:vertical;&::-webkit-input-placeholder{color:', ';opacity:1;}&::-moz-placeholder{color:', ';opacity:1;}&:-ms-input-placeholder{color:', ';opacity:1;}', ''], theme.SPACING_500, theme.SPACING_500, theme.FONTSIZE_300, theme.GRAY_400, theme.GRAY_500, theme.GRAY_500, theme.GRAY_500, function (p) {
  return p.size2 && (0, _styledComponents.css)(['font-size:', ';'], theme.FONTSIZE_500);
});

exports.default = Textarea;
module.exports = exports['default'];