'use strict';

exports.__esModule = true;

var _styledComponents = require('styled-components');

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var offsetPropsKeys = ['top_0', 'right_0', 'bottom_0', 'left_0'];
var Offset = function Offset(p) {
  return (0, _styledComponents.css)(['', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ''], p.top_0 && ' top: 0; ', p.right_0 && ' right: 0; ', p.bottom_0 && ' bottom: 0; ', p.left_0 && ' left: 0; ', offsetPropsKeys.some(function (prop) {
    return p['bp1_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', ' ', ' ', '}'], theme.BREAKPOINT_100, p.bp1_top_0 && ' top: 0; ', p.bp1_right_0 && ' right: 0; ', p.bp1_bottom_0 && ' bottom: 0; ', p.bp1_left_0 && ' left: 0; '), offsetPropsKeys.some(function (prop) {
    return p['bp2_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', ' ', ' ', '}'], theme.BREAKPOINT_200, p.bp2_top_0 && ' top: 0; ', p.bp2_right_0 && ' right: 0; ', p.bp2_bottom_0 && ' bottom: 0; ', p.bp2_left_0 && ' left: 0; '), offsetPropsKeys.some(function (prop) {
    return p['bp3_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', ' ', ' ', '}'], theme.BREAKPOINT_300, p.bp3_top_0 && ' top: 0; ', p.bp3_right_0 && ' right: 0; ', p.bp3_bottom_0 && ' bottom: 0; ', p.bp3_left_0 && ' left: 0; '), offsetPropsKeys.some(function (prop) {
    return p['bp4_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', ' ', ' ', '}'], theme.BREAKPOINT_400, p.bp4_top_0 && ' top: 0; ', p.bp4_right_0 && ' right: 0; ', p.bp4_bottom_0 && ' bottom: 0; ', p.bp4_left_0 && ' left: 0; '));
};

exports.default = Offset;
module.exports = exports['default'];