'use strict';

exports.__esModule = true;

var _styledComponents = require('styled-components');

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var positionPropsKeys = ['position_static', 'position_relative', 'position_absolute', 'position_fixed', 'position_sticky'];

var Position = function Position(p) {
  return (0, _styledComponents.css)(['', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ''], p.position_static && ' position: static; ', p.position_relative && ' position: relative; ', p.position_absolute && ' position: absolute; ', p.position_fixed && ' position: fixed; ', p.position_sticky && ' position: sticky; ', positionPropsKeys.some(function (prop) {
    return p['bp1_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', ' ', ' ', ' ', '}'], theme.BREAKPOINT_100, p.bp1_position_static && ' position: static; ', p.bp1_position_relative && ' position: relative; ', p.bp1_position_absolute && ' position: absolute; ', p.bp1_position_fixed && ' position: fixed; ', p.bp1_position_sticky && ' position: sticky; '), positionPropsKeys.some(function (prop) {
    return p['bp2_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', ' ', ' ', ' ', '}'], theme.BREAKPOINT_200, p.bp2_position_static && ' position: static; ', p.bp2_position_relative && ' position: relative; ', p.bp2_position_absolute && ' position: absolute; ', p.bp2_position_fixed && ' position: fixed; ', p.bp2_position_sticky && ' position: sticky; '), positionPropsKeys.some(function (prop) {
    return p['bp3_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', ' ', ' ', ' ', '}'], theme.BREAKPOINT_300, p.bp3_position_static && ' position: static; ', p.bp3_position_relative && ' position: relative; ', p.bp3_position_absolute && ' position: absolute; ', p.bp3_position_fixed && ' position: fixed; ', p.bp3_position_sticky && ' position: sticky; '), positionPropsKeys.some(function (prop) {
    return p['bp4_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', ' ', ' ', ' ', '}'], theme.BREAKPOINT_400, p.bp4_position_static && ' position: static; ', p.bp4_position_relative && ' position: relative; ', p.bp4_position_absolute && ' position: absolute; ', p.bp4_position_fixed && ' position: fixed; ', p.bp4_position_sticky && ' position: sticky; '));
};

exports.default = Position;
module.exports = exports['default'];