"use strict";

exports.__esModule = true;

var _styledComponents = require("styled-components");

var _theme = require("./../theme/");

var theme = _interopRequireWildcard(_theme);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var widthPropsKeys = ['width_50', 'width_100'];

var Width = function Width(p) {
  return (0, _styledComponents.css)(["", " ", " ", " ", " ", " ", ""], p.width_50 && " width: 50%; ", p.width_100 && " width: 100%; ", widthPropsKeys.some(function (prop) {
    return p["bp1_" + prop];
  }) && (0, _styledComponents.css)(["@media (min-width:", "){", " ", "}"], theme.BREAKPOINT_100, p.bp1_width_50 && " width: 50%; ", p.bp1_width_100 && " width: 100%; "), widthPropsKeys.some(function (prop) {
    return p["bp2_" + prop];
  }) && (0, _styledComponents.css)(["@media (min-width:", "){", " ", "}"], theme.BREAKPOINT_200, p.bp2_width_50 && " width: 50%; ", p.bp2_width_100 && " width: 100%; "), widthPropsKeys.some(function (prop) {
    return p["bp3_" + prop];
  }) && (0, _styledComponents.css)(["@media (min-width:", "){", " ", "}"], theme.BREAKPOINT_300, p.bp3_width_50 && " width: 50%; ", p.bp3_width_100 && " width: 100%; "), widthPropsKeys.some(function (prop) {
    return p["bp4_" + prop];
  }) && (0, _styledComponents.css)(["@media (min-width:", "){", " ", "}"], theme.BREAKPOINT_400, p.bp4_width_50 && " width: 50%; ", p.bp4_width_100 && " width: 100%; "));
};

exports.default = Width;
module.exports = exports["default"];